Bug 654532 - Guest BSOD during installation
Summary: Guest BSOD during installation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: 6.1
Assignee: Karen Noel
QA Contact: Virtualization Bugs
URL:
Whiteboard:
: 654511 660561 (view as bug list)
Depends On:
Blocks: 580954
TreeView+ depends on / blocked
 
Reported: 2010-11-18 06:20 UTC by Suqin Huang
Modified: 2013-01-09 23:21 UTC (History)
13 users (show)

Fixed In Version: kernel-2.6.32-91.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 12:55:23 UTC
Target Upstream Version:


Attachments (Terms of Use)
BSOD (17.84 KB, image/png)
2010-11-18 06:20 UTC, Suqin Huang
no flags Details
10sec before BSOD (7.41 KB, image/jpeg)
2011-04-30 06:27 UTC, Qingtang Zhou
no flags Details
5sec before BSOD (11.38 KB, image/jpeg)
2011-04-30 06:28 UTC, Qingtang Zhou
no flags Details
bsod info for comment 27 (32.83 KB, image/jpeg)
2011-05-03 09:13 UTC, Suqin Huang
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0542 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6.1 kernel security, bug fix and enhancement update 2011-05-19 11:58:07 UTC

Description Suqin Huang 2010-11-18 06:20:15 UTC
Description of problem:


Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.119.el6.x86_64

How reproducible:
100% 

Steps to Reproduce:
1. install guest with the following cmd:
/usr/libexec/qemu-kvm -drive file='/usr/Auto/autotest/client/tests/kvm/images/winXP-32.qcow2',index=0,if=none,id=drive-ide0-0-0,media=disk,cache=none,format=qcow2,aio=native \
-device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 -device rtl8139,mac=9a:63:1b:a8:96:d7,netdev=idqvX6p6,id=ndev00idqvX6p6,bus=pci.0,addr=0x3 -netdev tap,id=idqvX6p6,ifname='t0-132851-sBI7',script='/usr/Auto/autotest/client/tests/kvm/scripts/qemu-ifup-vbr0',downscript='no' -m 2048 -smp 2,cores=1,threads=1,sockets=2 \
-drive file='/usr/Auto/autotest/client/tests/kvm/isos/ISO/WinXP/32/en_windows_xp_professional_with_service_pack_3_x86_cd_x14-80428.iso',index=1,if=none,id=drive-ide0-0-1,media=cdrom,readonly=on,format=raw \
-device ide-drive,bus=ide.0,unit=1,drive=drive-ide0-0-1,id=ide0-0-1 \
-drive file='/usr/Auto/autotest/client/tests/kvm/isos/windows/winutils.iso',index=2,if=none,id=drive-ide0-1-0,media=cdrom,readonly=on,format=raw \
-device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 \
-drive file='/usr/Auto/autotest/client/tests/kvm/isos/windows/virtio-win.iso',index=3,if=none,id=drive-ide0-1-1,media=cdrom,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=1,drive=drive-ide0-1-1,id=ide0-1-1 \
-cpu cpu64-rhel6,+sse2,+x2apic -fda '/usr/Auto/autotest/client/tests/kvm/images/winXP-32/answer.vfd' -vnc :0 -spice port=8000,disable-ticketing -vga qxl -rtc base=localtime,clock=host,driftfix=none -M rhel6.0.0 -usbdevice tablet -boot d -enable-kvm
2.
3.
  
Actual results:
guest BSOD

Expected results:


Additional info:
host info:
2 cpu and 4G mem


processor	: 1
vendor_id	: AuthenticAMD
cpu family	: 15
model		: 107
model name	: AMD Athlon(tm) Dual Core Processor 4450B
stepping	: 2
cpu MHz		: 2300.000
cache size	: 512 KB
physical id	: 0
siblings	: 2
core id		: 1
cpu cores	: 2
apicid		: 1
initial apicid	: 1
fpu		: yes
fpu_exception	: yes
cpuid level	: 1
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow rep_good extd_apicid pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch lbrv

guest: all windows

Comment 1 Suqin Huang 2010-11-18 06:20:50 UTC
Created attachment 461222 [details]
BSOD

Comment 3 Suqin Huang 2010-11-18 08:30:04 UTC
Install WinXP 5 times on qemu-kvm-0.12.1.2-2.118.el6.x86_64, can not reproduce

Comment 5 Suqin Huang 2010-11-19 02:25:05 UTC
Not only 4450b host, can reproduce on other AMD hosts (5600 & 1216)and also reproduce on Intel host(i7)

Comment 6 Gleb Natapov 2010-11-22 14:05:10 UTC
(In reply to comment #5)
> Not only 4450b host, can reproduce on other AMD hosts (5600 & 1216)and also
> reproduce on Intel host(i7)

Host kernel version? Can you reproduce without qxl?

Comment 7 Suqin Huang 2010-11-23 05:41:53 UTC
can reproduce without qxl, spice

kernel: 2.6.32-83.el6.x86_64
qemu: qemu-kvm-0.12.1.2-2.120.el6.x86_64

Comment 8 Gleb Natapov 2010-11-25 15:44:15 UTC
At what point during installation it BSODs? Can you double check that qemu-kvm-0.12.1.2-2.118.el6.x86_64 works for you? Just like in bug 655718
there is nothing between 118 and 120 that can cause anything like that.

Comment 9 Suqin Huang 2010-11-26 02:21:02 UTC
Gleb:
the same as bug 655718, just the different appearance for different guests.
WinXP BSOD at the beginning of installation, Win2003 some times BSOD at the beginning, sometimes during the installation. 
Win2008 & Win7 are descripted at bug 655718

Comment 10 Gleb Natapov 2010-11-26 06:49:12 UTC
(In reply to comment #9)
> Gleb:
> the same as bug 655718, just the different appearance for different guests.
> WinXP BSOD at the beginning of installation, Win2003 some times BSOD at the
> beginning, sometimes during the installation. 
> Win2008 & Win7 are descripted at bug 655718

bug 655718 is intel specific. Can you confirm with 100% certainty that this bug happens on AMD too.

Comment 11 Suqin Huang 2010-11-26 08:08:49 UTC
bug 655718 can reproduce on AMD host, but is not on all fours with the appearance on Intel, which I mention on 655718#c17

Comment 12 Gleb Natapov 2010-11-26 10:40:54 UTC
(In reply to comment #11)
> bug 655718 can reproduce on AMD host, but is not on all fours with the
> appearance on Intel, which I mention on 655718#c17

Lets don't mix different problem here. Forget about restart problem from 55718#c17. If anything it should be different BZ all together. Can you reproduce BSOD after installation copies files with _any_ windows on AMD? If yes then which windows, which host packages have problem and which host packages do not have problem.

Comment 13 Suqin Huang 2010-11-26 10:48:53 UTC
I can reproduce BSOD at the begining of installation with WinXP 100% on AMD host. 
kernel: 2.6.32-84.el6.x86_64
qemu: qemu-kvm-0.12.1.2-2.120.el6.x86_64

processor : 1
vendor_id : AuthenticAMD
cpu family : 15
model  : 107
model name : AMD Athlon(tm) Dual Core Processor 4450B
stepping : 2
cpu MHz  : 2300.000
cache size : 512 KB
physical id : 0
siblings : 2
core id  : 1
cpu cores : 2
apicid  : 1
initial apicid : 1
fpu  : yes
fpu_exception : yes
cpuid level : 1
wp  : yes
flags  : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36
clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext
3dnow rep_good extd_apicid pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy
3dnowprefetch lbrv

Comment 14 Gleb Natapov 2010-11-28 14:10:49 UTC
bisected to b0b4309 [virt] KVM: Lazify fpu activation and deactivation.

BSOD happens on first reboot after installation copied files. Problem happens only without npt.

Comment 15 Avi Kivity 2010-11-30 13:29:12 UTC
Looks like upstream bff7827479e is missing.

Please try the test kernel from https://brewweb.devel.redhat.com/getfile?taskID=2922734&name=kernel-2.6.32-84.el6.test.x86_64.rpm

Comment 16 Suqin Huang 2010-12-02 06:18:44 UTC
(In reply to comment #15)
> Looks like upstream bff7827479e is missing.
> 
> Please try the test kernel from
> https://brewweb.devel.redhat.com/getfile?taskID=2922734&name=kernel-2.6.32-84.el6.test.x86_64.rpm

I can not boot up host with this kernel

Comment 17 Avi Kivity 2010-12-02 08:45:26 UTC
You might need to install

https://brewweb.devel.redhat.com/getfile?taskID=2922738&name=kernel-firmware-2.6.32-84.el6.test.noarch.rpm

at the same time (rpm -i kernel.rpm kernel-firmware.rpm).

Comment 18 Suqin Huang 2010-12-03 04:41:30 UTC
install winxp 5 times with this kernel, can not reproduce

Comment 19 Avi Kivity 2010-12-03 09:45:21 UTC
Thanks for the testing. Posting patch.

Comment 20 Aristeu Rozanski 2010-12-15 16:07:36 UTC
Patch(es) available on kernel-2.6.32-91.el6

Comment 22 Gleb Natapov 2010-12-21 06:47:48 UTC
*** Bug 660561 has been marked as a duplicate of this bug. ***

Comment 23 Gleb Natapov 2010-12-22 08:42:21 UTC
*** Bug 654511 has been marked as a duplicate of this bug. ***

Comment 24 Suqin Huang 2011-01-14 05:45:23 UTC
1. result
can not reproduce 

repeat 10 times (5 times for aio=threads, 5 times for aio=native)
guests: WinXP, Win2003, Win2008, Win7, Win2008R2
host: 5400b & 4450b

2. cmd

qemu-kvm -drive file='/usr/images/win2003-32.qcow2',index=0,if=none,id=drive-ide0-0-0,media=disk,cache=none,format=qcow2,aio=threads \
-device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 \
-device rtl8139,netdev=idWQ6NES,mac=9a:0b:9a:20:4c:02,netdev=idWQ6NES,id=ndev00idWQ6NES,bus=pci.0,addr=0x3 -netdev tap,id=idWQ6NES,script='/usr/scripts/qemu-ifup-switch',downscript='no' \
-m 2048 -smp 2,cores=1,threads=1,sockets=2 \
-drive file='/usr/ISO/Win2003/32/en_win_srv_2003_r2_enterprise_with_sp2_cd1_X13-05460.iso',index=1,if=none,id=drive-ide0-0-1,media=cdrom,readonly=on,format=raw \
-device ide-drive,bus=ide.0,unit=1,drive=drive-ide0-0-1,id=ide0-0-1 -drive file='/usr/isos/windows/winutils.iso',index=2,if=none,id=drive-ide0-1-0,media=cdrom,readonly=on,format=raw \
-device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 \
-spice port=8000,disable-ticketing -vga qxl -rtc base=localtime,clock=host,driftfix=none  -boot order=cdn,once=d,menu=off   -usbdevice tablet -enable-kvm

3. qemu/kvm
kernel: 2.6.32-94.el6.x86_64
qemu: qemu-kvm-0.12.1.2-2.129.el6.x86_64

Comment 26 Miya Chen 2011-02-24 03:39:19 UTC
Change status to verified based on comment#24

Comment 27 Qingtang Zhou 2011-04-30 06:26:42 UTC
This bug reporduced on intel host. re-open this bug.

results:
guest BSOD on first reboot after installation copied files.
BSOD message is same as attachment 461222 [details], add screenshot 5sec and 10sec before BSOD.

guest: windows 2003 64bit.

qemu/kernel version:
qemu-kvm-0.12.1.2-2.160.el6.x86_64
kernel-2.6.32-131.0.10.el6.x86_64

host info:
intel-e5620-12

# cat /proc/cpuinfo 
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 44
model name	: Intel(R) Xeon(R) CPU           E5620  @ 2.40GHz
stepping	: 2
cpu MHz		: 2394.254
cache size	: 12288 KB
physical id	: 1
siblings	: 8
core id		: 0
cpu cores	: 4
apicid		: 32
initial apicid	: 32
fpu		: yes
fpu_exception	: yes
cpuid level	: 11
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp lm constant_tsc arch_perfmon pebs bts rep_good xtopology nonstop_tsc aperfmperf pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 cx16 xtpr pdcm dca sse4_1 sse4_2 popcnt aes lahf_lm ida arat tpr_shadow vnmi flexpriority ept vpid
bogomips	: 4788.50
clflush size	: 64
cache_alignment	: 64
address sizes	: 40 bits physical, 48 bits virtual
power management:

# cat /proc/meminfo 
MemTotal:       12316460 kB


qemu command:
qemu -name 'vm1' \
-chardev socket,id=qmp_monitor_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20110429-175921-7WqC,server,nowait \
-mon chardev=qmp_monitor_id_qmpmonitor1,mode=control -chardev socket,id=serial_id_20110429-175921-7WqC,path=/tmp/serial-20110429-175921-7WqC,server,nowait \
-device isa-serial,chardev=serial_id_20110429-175921-7WqC \
-drive file='win2003-64.raw',index=0,if=none,id=drive-virtio-disk1,media=disk,cache=none,format=raw,aio=native \
-device virtio-blk-pci,bus=pci.0,addr=0x4,drive=drive-virtio-disk1,id=virtio-disk1 \
-device virtio-net-pci,netdev=idZCTBGA,mac=9a:3b:6a:f4:9e:6a,id=ndev00idZCTBGA,bus=pci.0,addr=0x3 \
-netdev tap,id=idZCTBGA,vhost=on,ifname='t0-175921-7WqC',script='qemu-ifup-switch',downscript='no' \
-m 2048 \
-smp 2,cores=1,threads=1,sockets=2 \
-drive file='en_win_srv_2003_r2_enterprise_x64_with_sp2_cd1_X13-06188.iso',index=1,if=none,id=drive-ide0-0-0,media=cdrom,readonly=on,format=raw \
-device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0 \
-drive file='winutils.iso',index=2,if=none,id=drive-ide0-0-1,media=cdrom,readonly=on,format=raw \
-device ide-drive,bus=ide.0,unit=1,drive=drive-ide0-0-1,id=ide0-0-1 \
-drive file='virtio-win.iso',index=3,if=none,id=drive-ide0-1-0,media=cdrom,readonly=on,format=raw \
-device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0 \
-cpu cpu64-rhel6,+sse2,+x2apic \
-fda 'answer.vfd' \
-spice port=8000,disable-ticketing \
-vga qxl \
-rtc base=localtime,clock=host,driftfix=none \
-M rhel6.1.0 \
-boot order=cdn,once=d,menu=off   \
-usbdevice tablet \
-enable-kvm

Comment 28 Qingtang Zhou 2011-04-30 06:27:45 UTC
Created attachment 495913 [details]
10sec before BSOD

Comment 29 Qingtang Zhou 2011-04-30 06:28:12 UTC
Created attachment 495914 [details]
5sec before BSOD

Comment 31 Dor Laor 2011-05-03 07:50:51 UTC
How often you get a reproduce? Is it over all Intel processors or just this one.
It is not necessarily a regression, most chances it is a new bug.

Comment 32 Avi Kivity 2011-05-03 08:55:49 UTC
How often does it reproduce? 100% or less?

Does it also happen on latest 6.0.z?

Comment 33 Suqin Huang 2011-05-03 09:10:31 UTC
(In reply to comment #31)
> How often you get a reproduce? Is it over all Intel processors or just this
> one.

rarely, repeat 10 times, can not reproduce
> It is not necessarily a regression, most chances it is a new bug.

Comment 34 Suqin Huang 2011-05-03 09:13:21 UTC
Created attachment 496464 [details]
bsod info for comment 27

Comment 36 Suqin Huang 2011-05-04 02:09:05 UTC
(In reply to comment #32)
> How often does it reproduce? 100% or less?
> 
> Does it also happen on latest 6.0.z?

install window2003.32 and win2003.64 30 times with qemu-kvm-0.12.1.2-2.113.el6_0.8.x86_64  , can not reproduce

Comment 37 Suqin Huang 2011-05-04 08:44:30 UTC
Comment 27 issue just happen one time, repeat win2003 installation 20 times with 2.6.32-131.0.10.el6.x86_64 & qemu-kvm-0.12.1.2-2.160.el6.x86_64, can not reproduce it any more, create bug 701898 to trace comment 27 issue and close this bug.

Comment 38 errata-xmlrpc 2011-05-19 12:55:23 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html


Note You need to log in before you can comment on or make changes to this bug.